# JSXGraph Reference

## JavaScript must be enabled in order for you to use JSXGraph and JSXGraph reference. However, it seems JavaScript is either disabled or not supported by your browser.

Class Index | File Index

## Elements

- Angle
- Arc
- Arrow
- Arrowparallel
- Axis
- Bisector
- Bisectorlines
- Circle
- Circumcenter
- Circumcircle
- CircumcircleArc
- Circumcirclesector
- Conic
- Curve
- Ellipse
- Functiongraph
- Glider
- Grid
- Hyperbola
- Image
- Incenter
- Incircle
- Integral
- Intersection
- Line
- Locus
- Midpoint
- Mirrorpoint
- Normal
- Orthogonalprojection
- OtherIntersection
- Parabola
- Parallel
- Parallelpoint
- Perpendicular
- Perpendicularpoint
- Point
- Polygon
- Reflection
- RegularPolygon
- Riemannsum
- Sector
- Segment
- Semicircle
- Slider
- Tangent
- Text
- Ticks
- Tracecurve

## Classes

- _global_
- JXG
- JXG.AbstractRenderer
- JXG.Board
- JXG.C
- JXG.CanvasRenderer
- JXG.Circle
- JXG.Complex
- JXG.Composition
- JXG.Coords
- JXG.Curve
- JXG.Dump
- JXG.GeometryElement
- JXG.GeonextParser
- JXG.Group
- JXG.Image
- JXG.JessieCode
- JXG.JSXGraph
- JXG.Line
- JXG.Math
- JXG.Math.Geometry
- JXG.Math.Numerics
- JXG.Math.Poly
- JXG.Math.Poly.Monomial
- JXG.Math.Poly.Polynomial
- JXG.Math.Poly.Ring
- JXG.Math.Statistics
- JXG.Math.Symbolic
- JXG.Point
- JXG.Polygon
- JXG.Server
- JXG.Server.modules
- JXG.SVGRenderer
- JXG.Text
- JXG.Ticks
- JXG.Turtle
- JXG.Util
- JXG.VMLRenderer

# Class JXG.Math.Poly.Monomial

↳ JXG.Math.Poly.Monomial

Defined in: MathPoly.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| JXG.Math.Poly.Monomial(ring, coefficient, exponents) Define a monomial over the polynomial ring `ring`.

Field Summary
Field Attributes | Field Name and Description
--- | ---
| coefficient The monomial's coefficient
| exponents Exponent vector, the order depends on the order of the variables in the ring definition.
| ring A polynomial ring.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| copy() Creates a deep copy of the monomial.
| print() Print the monomial.

Class Detail
JXG.Math.Poly.Monomial(ring, coefficient, exponents)
Define a monomial over the polynomial ring `ring`.

Parameters:
{JXG.Math.Poly.Ring} ring
{Number} coefficient
{Array} exponents
  An array of exponents, corresponding to ring

Field Detail
{Number} coefficient
The monomial's coefficient

{Array} exponents
Exponent vector, the order depends on the order of the variables in the ring definition.

{JXG.Math.Poly.Ring} ring
A polynomial ring.
Method Detail
{JXG.Math.Poly.Monomial} copy()
Creates a deep copy of the monomial.

Returns:
  {JXG.Math.Poly.Monomial}

{String} print()
Print the monomial.

Returns:
  {String} String representation of the monomial

Documentation generated by JsDoc Toolkit 2.4.0 on Mon Apr 02 2012 17:54:08 GMT+0200 (MESZ)